//
//  UploadManager.h
//  AsReaderScan
//
//  Created by Yasutaka Oshiro on 2021/09/01.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface UploadManager : NSObject

@property(nonatomic, strong)NSString *serverURLSMB;
@property(nonatomic, strong)NSString *serverNameSMB;
@property(nonatomic, strong)NSString *serverPasswordSMB;
@property(nonatomic, strong)NSString *serverFilePathSMB;

@property(nonatomic, strong)NSString *serverURLFTP;
@property(nonatomic, strong)NSString *serverPortFTP;
@property(nonatomic, strong)NSString *serverNameFTP;
@property(nonatomic, strong)NSString *serverPasswordFTP;

+ (instancetype)sharedInstance;
- (void)uploadSMBWithFileName:(NSString *)fileName complete:(void(^)(NSError *error))complete;
- (void)uploadFTPWithFileName:(NSString *)fileName complete:(void(^)(NSError *error))complete;
@end

NS_ASSUME_NONNULL_END
